#### experimental::co_spawn (2 of 6 overloads)

Spawn a resumable coroutine.

    template<
        typename T,
        typename Executor,
        typename CompletionToken>
    DEDUCED co_spawn(
        coro< void(), T, Executor > c,
        CompletionToken && token);

This function spawns the coroutine for execution on its executor. It binds the lifetime of the coroutine to the executor.

###### Parameters

c

  The coroutine

token

  The completion token

###### Return Value

Implementation defined